#read CSV file
csvfile=file.path("d:/Users/XX/Desktop/20180215.csv")
xcsv.new=read.csv(csvfile,header=TRUE,sep=",")

csvfile=file.path("d:/Users/XX/Desktop/20180215_p.csv")
xcsv.new.P=read.csv(csvfile,header=TRUE,sep=",")

#6*6 plot region
opar <- par(no.readonly=TRUE)

par(mai=c(0.25,0.25,0.15,0.05))

x=c(1980,1983,1986,1989,1992,1995,1998,2001,2004,2007,2010,2013,2016)
attach(xcsv.new)
#-------------------------------------
par(fig=c(0,0.167,0,0.167),tck=-0.05,cex=0.65)
plot(year,CS.GRAIN,xlab="year",ylab="CSCGRAIN",main ="CSCGRAIN",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(CS.GRAIN ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$CS.GRAIN,pch=20,col="black")

par(fig=c(0.167,0.333,0,0.167),tck=-0.05,cex=0.65,new=TRUE)
plot(year,CS.SHEEP,xlab="year",ylab="CSCSHEEP",main="CSCSHEEP",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(CS.SHEEP ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$CS.SHEEP,pch=20,col="black")

par(fig=c(0.333,0.5,0,0.167),tck=-0.05,cex=0.65,new=TRUE)
plot(year,CS.NPP,xlab="year",ylab="CSCNPP",main="CSCNPP",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(CS.NPP ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$CS.NPP,pch=20,col="black")

par(fig=c(0.5,0.667,0,0.167),tck=-0.05,cex=0.65,new=TRUE)
plot(year,CS.SP,xlab="year",ylab="CSCSP",main="CSCSP",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(CS.SP ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$CS.SP,pch=20,col="black")

par(fig=c(0.667,0.833,0,0.167),tck=-0.05,cex=0.65,new=TRUE)
plot(year,CS.SR,xlab="year",ylab="CSCSR",main="CSCSR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(CS.SR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$CS.SR,pch=20,col="black")

par(fig=c(0.833,1,0,0.167),tck=-0.05,cex=0.65,new=TRUE)
plot(year,CS.WR,xlab="year",ylab="CSCWR",main="CSCWR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(CS.WR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$CS.WR,pch=20,col="black")

#--------------------------------------
par(fig=c(0.167,0.333,0.167,0.333),tck=-0.05,cex=0.65,new=TRUE)
plot(year,GRAIN.SHEEP,xlab="year",ylab="GRAINCSHEEP",main="GRAINCSHEEP",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(GRAIN.SHEEP ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$GRAIN.SHEEP,pch=20,col="black")

par(fig=c(0.333,0.5,0.167,0.333),tck=-0.05,cex=0.65,new=TRUE)
plot(year,GRAIN.NPP,xlab="year",ylab="GRAINCNPP",main="GRAINCNPP",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(GRAIN.NPP ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$GRAIN.NPP,pch=20,col="black")

par(fig=c(0.5,0.667,0.167,0.333),tck=-0.05,cex=0.65,new=TRUE)
plot(year,GRAIN.SP,xlab="year",ylab="GRAINCSP",main="GRAINCSP",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(GRAIN.SP ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$GRAIN.SP,pch=20,col="black")

par(fig=c(0.667,0.833,0.167,0.333),tck=-0.05,cex=0.65,new=TRUE)
plot(year,GRAIN.SR,xlab="year",ylab="GRAINCSR",main="GRAINCSR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(GRAIN.SR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$GRAIN.SR,pch=20,col="black")

par(fig=c(0.833,1,0.167,0.333),tck=-0.05,cex=0.65,new=TRUE)
plot(year,GRAIN.WR,xlab="year",ylab="GRAINCWR",main="GRAINCWR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(GRAIN.WR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$GRAIN.WR,pch=20,col="black")

#--------------------------------------
par(fig=c(0.333,0.5,0.333,0.5),tck=-0.05,cex=0.65,new=TRUE)
plot(year,SHEEP.NPP,xlab="year",ylab="SHEEPCNPP",main="SHEEPCNPP",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(SHEEP.NPP ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$SHEEP.NPP,pch=20,col="black")

par(fig=c(0.5,0.667,0.333,0.5),tck=-0.05,cex=0.65,new=TRUE)
plot(year,SHEEP.SP,xlab="year",ylab="SHEEPCSP",main="SHEEPCSP",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(SHEEP.SP ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$SHEEP.SP,pch=20,col="black")

par(fig=c(0.667,0.833,0.333,0.5),tck=-0.05,cex=0.65,new=TRUE)
plot(year,SHEEP.SR,xlab="year",ylab="SHEEPCSR",main="SHEEPCSR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(SHEEP.SR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$SHEEP.SR,pch=20,col="black")

par(fig=c(0.833,1,0.333,0.5),tck=-0.05,cex=0.65,new=TRUE)
plot(year,SHEEP.WR,xlab="year",ylab="SHEEPCWR",main="SHEEPCWR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(SHEEP.WR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$SHEEP.WR,pch=20,col="black")
#--------------------------------------

par(fig=c(0.5, 0.667,0.5,0.667),tck=-0.05,cex=0.65,new=TRUE)
plot(year,NPP.SP,xlab="year",ylab="NPPCSP",main="NPPCSP",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(NPP.SP ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$NPP.SP,pch=20,col="black")

par(fig=c(0.667, 0.833,0.5,0.667),tck=-0.05,cex=0.65,new=TRUE)
plot(year,NPP.SR,xlab="year",ylab="NPPCSR",main="NPPCSR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(NPP.SR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$NPP.SR,pch=20,col="black")

par(fig=c(0.833, 1,0.5,0.667),tck=-0.05,cex=0.65,new=TRUE)
plot(year,NPP.WR,xlab="year",ylab="NPPCWR",main="NPPCWR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(NPP.WR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$NPP.WR,pch=20,col="black")

#--------------------------------------
par(fig=c(0.667, 0.833,0.667,0.833),tck=-0.05,cex=0.65,new=TRUE)
plot(year,SP.SR,xlab="year",ylab="SPCSR",main="SPCSR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(SP.SR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$SP.SR,pch=20,col="black")

par(fig=c(0.833, 1,0.667,0.833),tck=-0.05,cex=0.65,new=TRUE)
plot(year,SP.WR,xlab="year",ylab="SPCWR",main="SPCWR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(SP.WR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$SP.WR,pch=20,col="black")

par(fig=c(0.833, 1,0.833,1),tck=-0.05,cex=0.65,new=TRUE)
plot(year,SR.WR,xlab="year",ylab="SRCWR",main="SRCWR",type="o",xaxt="n",pch=21,col="black",bg="white")
axis(1,at=x,labels=x)
abline(h=0) #
abline(lm(SR.WR ~ year),lty=2)
points(xcsv.new.P$year,xcsv.new.P$SR.WR,pch=20,col="black")

#--------------------------------------
par(opar)
